API REFERENCEv1

View Sent Single Message

GEThttps://api2.protexting.com/v1/sent-history/single-view

Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →

View Sent Single Message

Request parameters:

* required parameters

ParameterDescription
* idInteger, Sent Single Message Id

Response parameters:

ParameterDescription
IdInteger
MobilePhoneString
MessageString
DateTimeString
Type_IdInteger see here »
Type_DescriptionString see here »
MmsTemplateIdInteger, see here »
SubjectString
DeliveryStatus_IdInteger see here »
DeliveryStatus_DescriptionString see here »
Api_IdString more info »

Example Request:

Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \  "https://api2.protexting.com/v1/sent-history/single-view?id=%3Csent_single_message_id%3E&access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \  --header 'Accept: application/json'
Server-side exampleJSON · HTTPS

Example Response Headers:

Response headers example
Status Code: 200 OK
Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0
Connection: Keep-Alive
Content-Type: application/xml; charset=utf-8
Keep-Alive: timeout=5, max=100
Link: <https://api2.protexting.com/v1/sent-history/single-view?access_token=your_access_token&id=<sent_single_message_id>>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 1 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0

Example Response Body:

JSON response example
{
    "Id": 1001,
    "MobilePhone": "1646595xxxx",    "Message": "Hello World!",    "DateTime": "2018-01-30 12:12:00",    "Type_Id": 1,    "Type_Description": "SMS",    "MmsTemplateId": "",    "Subject": "",    "DeliveryStatus_Id": 2,    "DeliveryStatus_Description": "Delivered",    "Api_Id":""}
XML response example
<response>
    <item>
    	<Id>10001</Id>
        <MobilePhone>1646595xxxx</MobilePhone>        <Message>Hello World!</Message>        <DateTime>2018-01-30 12:12:00</DateTime>        <Type_Id>1</Type_Id>        <Type_Description>SMS</Type_Description>        <MmsTemplateId/>        <Subject/>        <DeliveryStatus_Id>2</DeliveryStatus_Id>        <DeliveryStatus_Description>Delivered</DeliveryStatus_Description>        <Api_Id/>
    </item>
</response>

HTTP Status Codes:

The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml

Error Codes:

Error Codes and Examples here »

Messages type:

Type_IdType_Description
1SMS
2MMS

Delivery statuses:

Delivery Status IdDelivery Status Description
1Pending
2Delivered
3Failed
4Bufered
5Rejected
6Optout
7Unknown
8Disconected
9Optedout
10Processed
11Retrieved
12Expired

Resource File Requirements
File type: jpg, gif, bmp, png, tiff
Recommended audio length: no more than 60 seconds
Keep at a high bitrate
Size: 70.00MB
Do not support animated GIF files

Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.